Subject: [PATCH 02/10] gnu: Fix whitespace issues in go package descriptions.

From: Gabriel Wicki <[email-masked]>
Date: Sun, 5 Jan 2025 22:18:31 +0100

This mainly addresses `double-space after sentence end period' and `trailing
white space' issues.

* gnu/packages/golang-check.scm (go-github.com-smartystreets-goconvey): Fix
description.
* gnu/packages/golang-web.scm (go-github-com-jsimonetti-rtnetlink): Fix
description.
* gnu/packages/golang-xyz.scm (go-github-com-containerd-cgroups, go-tomlv,
go-ulid): Fix description.
* gnu/packages/golang.scm (go-sigs-k8s-io-yaml): Fix description.

Change-Id: I421ea082a6d6ed23822822218555723a2c39c1f5
---
 gnu/packages/golang-check.scm | 2 +-
 gnu/packages/golang-web.scm   | 2 +-
 gnu/packages/golang-xyz.scm   | 6 +++---
 gnu/packages/golang.scm       | 7 +++----
 4 files changed, 8 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/golang-check.scm b/gnu/packages/golang-check.scm
index f6696c18e3..4831bb02c7 100644
--- a/gnu/packages/golang-check.scm
+++ b/gnu/packages/golang-check.scm
@@ -1131,7 +1131,7 @@ (define-public go-github-com-smartystreets-goconvey
            go-golang-org-x-tools))
     (home-page "https://github.com/smartystreets/goconvey")
     (synopsis "Go testing tool with both a web and terminal user interface")
-    (description "GoConvey is a testing tool for Go. It integrates with go
+    (description "GoConvey is a testing tool for Go.  It integrates with go
 test, can show test coverage and has a web user interface that will refresh
 automatically.")
     (license license:expat)))
diff --git a/gnu/packages/golang-web.scm b/gnu/packages/golang-web.scm
index c0b76f89b6..6d1a0c1eae 100644
--- a/gnu/packages/golang-web.scm
+++ b/gnu/packages/golang-web.scm
@@ -3077,7 +3077,7 @@ (define-public go-github-com-jsimonetti-rtnetlink
     (synopsis "Low-level access to the Linux rtnetlink API")
     (description
      "This package allows the kernel's routing tables to be read and
-altered. Network routes, IP addresses, Link parameters, Neighbor
+altered.  Network routes, IP addresses, Link parameters, Neighbor
 setups,Queueing disciplines, Traffic classes and Packet classifiers may all be
 controlled.  It is based on netlink messages.")
     (license license:expat)))
diff --git a/gnu/packages/golang-xyz.scm b/gnu/packages/golang-xyz.scm
index e17afa6f2a..72216ae2a4 100644
--- a/gnu/packages/golang-xyz.scm
+++ b/gnu/packages/golang-xyz.scm
@@ -1858,7 +1858,7 @@ (define-public go-github-com-containerd-cgroups
     (synopsis "Cgroups for Golang")
     (description
      "This package implements a functinoality for creating, managing,
-inspecting, and destroying cgroups. The resources format for settings on the
+inspecting, and destroying cgroups.  The resources format for settings on the
 cgroup uses the OCI runtime-spec found
 @url{https://github.com/opencontainers/runtime-spec,here}.")
     (license license:asl2.0)))
@@ -8894,7 +8894,7 @@ (define-public go-tomlv
       #:unpack-path "github.com/BurntSushi/toml"))
     (description
      (string-append (package-description go-github-com-burntsushi-toml)
-                    " This package provides an command line interface (CLI)
+                    "  This package provides an command line interface (CLI)
 tool."))))
 
 (define-public go-ulid
@@ -8910,7 +8910,7 @@ (define-public go-ulid
      (list go-github-com-pborman-getopt))
     (description
      (string-append (package-description go-github-com-oklog-ulid)
-                    " This package provides an command line interface (CLI)
+                    "  This package provides an command line interface (CLI)
 tool."))))
 
 ;;;
diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index fe26adeede..b1ea9e5a28 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7370,10 +7370,9 @@ (define-public go-sigs-k8s-io-yaml
     (description
      "This package provides a Go library that first converts YAML to JSON
 using @code{go-yaml} and then uses @code{json.Marshal} and
-@code{json.Unmarshal} to convert to or from the struct. This means that
-it effectively reuses the JSON struct tags as well as the custom JSON
-methods @code{MarshalJSON} and @code{UnmarshalJSON} unlike
-@code{go-yaml}.
+@code{json.Unmarshal} to convert to or from the struct.  This means that it
+effectively reuses the JSON struct tags as well as the custom JSON methods
+@code{MarshalJSON} and @code{UnmarshalJSON} unlike @code{go-yaml}.
 
 kubernetes-sigs/yaml is a permanent fork of
 @url{https://github.com/ghodss/yaml,ghodss/yaml}.")
-- 
2.46.0